http://apigee.local/v1/projects/{project}/locations/{location}/apis/{api}UpdateApi can be used to modify a specified API.
The project id.
The location id.
The api id.
The list of fields to be updated. If omitted, all fields are updated that are set in the request message (fields set to default values are ignored). If a "*" is specified, all fields are updated, including fields that are unspecified/default in the request.
If set to true, and the api is not found, a new api_versions will be created. In this situation, `update_mask` is ignored.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://apigee.local/v1/projects/{project}/locations/{location}/apis/{api}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigee.local/v1/projects/{project}/locations/{location}/apis/{api}UpdateApi can be used to modify a specified API.
The project id.
The location id.
The api id.
The list of fields to be updated. If omitted, all fields are updated that are set in the request message (fields set to default values are ignored). If a "*" is specified, all fields are updated, including fields that are unspecified/default in the request.
If set to true, and the api is not found, a new api_versions will be created. In this situation, `update_mask` is ignored.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://apigee.local/v1/projects/{project}/locations/{location}/apis/{api}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}